# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bmm"
version = "0.3.1"
authors = ["Dhruv Thakur"]
build = false
exclude = [
    ".github",
    "bench",
    "tapes",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "bmm lets you get to your bookmarks in a flash"
homepage = "https://tools.dhruvs.space/bmm/"
readme = "README.md"
keywords = [
    "cli",
    "bookmarks",
    "bookmarks-manager",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/dhth/bmm"

[[bin]]
name = "bmm"
path = "src/main.rs"

[[test]]
name = "data_dir_test"
path = "tests/data_dir_test.rs"

[[test]]
name = "delete_test"
path = "tests/delete_test.rs"

[[test]]
name = "help_test"
path = "tests/help_test.rs"

[[test]]
name = "import_test"
path = "tests/import_test.rs"

[[test]]
name = "list_test"
path = "tests/list_test.rs"

[[test]]
name = "save_all_test"
path = "tests/save_all_test.rs"

[[test]]
name = "save_test"
path = "tests/save_test.rs"

[[test]]
name = "search_test"
path = "tests/search_test.rs"

[[test]]
name = "show_test"
path = "tests/show_test.rs"

[[test]]
name = "tags_test"
path = "tests/tags_test.rs"

[dependencies.arboard]
version = "3.6.1"
default-features = false

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.csv]
version = "1.4.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.once_cell]
version = "1.21.4"

[dependencies.open]
version = "5.3.5"

[dependencies.ratatui]
version = "0.30.0"

[dependencies.regex]
version = "1.12.3"

[dependencies.select]
version = "0.6.1"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.sqlx]
version = "0.8.6"
features = [
    "json",
    "macros",
    "migrate",
    "runtime-tokio",
    "sqlite",
]
default-features = false

[dependencies.tempfile]
version = "3.27.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.52.3"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.tui-input]
version = "0.15.3"

[dependencies.url]
version = "2.5.8"
features = ["serde"]

[dependencies.which]
version = "8.0.2"

[dev-dependencies.insta]
version = "1.47.2"
features = ["yaml"]

[dev-dependencies.insta-cmd]
version = "0.6.0"

[lints.clippy]
expect_used = "deny"
unwrap_used = "deny"

[profile.dev.package.insta]
opt-level = 3

[profile.dev.package.similar]
opt-level = 3

[profile.dist]
inherits = "release"

[profile.release]
lto = "fat"
codegen-units = 1
strip = "symbols"
